UTIME(3)

NAME
utime - set file times

SYNOPSIS
#include <sys/types.h>
#include <utime.h>
int
utime(const char *file, const struct utimbuf *timep);

DESCRIPTION
This interface is obsoleted by utimes(2) .

The utime() function sets the access and modification times of the named file from the structures in the argument array timep.

If the times are specified (the timep argument is non-NULL) the caller must be the owner of the file or be the super-user.

If the times are not specified (the timep argument is NULL) the caller must be the owner of the file, have permission to write the file, or be the super-user.

ERRORS
The utime() function may fail and set errno for any of the errors specified for the library function utimes(2).

SEE ALSO
utimes(2), stat(2)

HISTORY
A utime() function appeared in AT&T UNIX.

STANDARDS
The utime function conforms to p1003.1-88.